yi_0.18.0-1_amd64.deb


Advertisement

Description

yi - Haskell-Scriptable Editor

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package name yi
Package version 0.18.0
Package release 1
Package architecture amd64
Package type deb
Installed size 22.73 KB
Download size 2.86 MB
Official Mirror ftp.br.debian.org
Yi is a text editor written in Haskell and extensible in Haskell.  The goal
of the Yi project is to provide a flexible, powerful, and correct editor
for haskell hacking.
This package comes pre-configured with the default configuration. If
you want to build your custom-configured version, make sure that
libghc-yi-core-dev is installed and put your configuration in
~/.config/yi/yi.hs

Alternatives

Package Version Architecture Repository
yi_0.18.0-1_i386.deb 0.18.0 i386 Debian Main
yi - - -

Requires

Name Value
libatomic1 >= 4.8
libc6 >= 2.27
libffi6 >= 3.0.4
libghc-yi-frontend-pango dev
libgmp10 -
libtinfo6 >= 6

Download

Type URL
Binary Package yi_0.18.0-1_amd64.deb
Source Package yi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install yi deb package:
    # sudo apt-get install yi

Files

Path
/usr/bin/yi
/usr/share/applications/yi-emacs.desktop
/usr/share/applications/yi-vim.desktop
/usr/share/doc/yi/buildinfo_amd64.gz
/usr/share/doc/yi/changelog.Debian.gz
/usr/share/doc/yi/copyright
/usr/share/lintian/overrides/yi
/usr/share/man/man1/yi.1.gz
/usr/share/menu/yi

Changelog

2018-11-07 - Ilias Tsitsimpis <iliastsi@debian.org>
yi (0.18.0-1) unstable; urgency=medium
* New upstream release
2018-10-01 - Ilias Tsitsimpis <iliastsi@debian.org>
yi (0.17.1-3) unstable; urgency=medium
* Bump debhelper compat level to 10
* Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
2018-05-14 - Clint Adams <clint@debian.org>
yi (0.17.1-2) unstable; urgency=medium
* Set Rules-Requires-Root to no.
2018-04-20 - Clint Adams <clint@debian.org>
yi (0.17.1-1) unstable; urgency=medium
[ Marcel Fourné ]
* New upstream release
* Closes: #868637
* Closes: #836464
replacing Uploader Masayuki Hatta (mhatta) <mhatta@debian.org> (MIA).
Thank you for for all your good work!
[ Ilias Tsitsimpis ]
* Use the HTTPS form of the copyright-format URL
* Modify d/watch and Source field in d/copyright to use HTTPS
* Declare compliance with Debian policy 4.1.1
* Use salsa.debian.org URLs in Vcs-{Browser,Git} fields
[ Clint Adams ]
* Bump to Standards-Version 4.1.4.
* New upstream release
2017-06-21 - Gianfranco Costamagna <locutusofborg@debian.org>
yi (0.12.6-4) unstable; urgency=medium
* Team upload.
* cherry-pick upstream patch to fix build with new ghc 8.0.2
- debian/patches/9734a8827ab5423242fc571d9b8e08c9763d4763.patch
2016-10-27 - Clint Adams <clint@debian.org>
yi (0.12.6-3) unstable; urgency=medium
* Upload to unstable as part of GHC 8 transition.
2016-10-17 - Clint Adams <clint@debian.org>
yi (0.12.6-2) experimental; urgency=medium
* Temporarily build-depend on ghc 8.
2016-08-12 - Clint Adams <clint@debian.org>
yi (0.12.6-1) unstable; urgency=medium
* New upstream release
2016-05-30 - Joachim Breitner <nomeata@debian.org>
yi (0.12.5-1) unstable; urgency=medium
[ Dmitry Bogatov ]
* Use secure (https) uri in Vcs-Git field in 'debian/control'
* Bump standards version to 3.9.8 (no changes needed)
[ Joachim Breitner ]
* New upstream release
2016-01-11 - Clint Adams <clint@debian.org>
yi (0.12.3-1) unstable; urgency=medium
* New upstream release

See Also

Package Description
yiyantang_0.7.0-5+b1_amd64.deb Terminal-based Chinese automatic encoding converter
ykcs11_1.6.2-1_amd64.deb PKCS#11 module for the YubiKey PIV applet
ykush-control_1.1.0+ds-1_amd64.deb control application for Yepkit YKUSH Switchable USB Hub board
yodl-doc_4.02.00-3_all.deb Documentation for Your Own Document Language (Yodl)
yodl_4.02.00-3_amd64.deb Your Own Document Language (Yodl) is a pre-document language
yokadi_1.1.1-2_all.deb commandline todo system
yorick-av_0.0.5-1+b1_amd64.deb write movies from Yorick in various formats
yorick-cubeview_2.2-2_all.deb 3D FITS data viewer specialized in spectro-imaging
yorick-curses_0.1-6+b2_amd64.deb interface to the (n)curses library for the Yorick language
yorick-data_2.2.04+dfsg1-10_all.deb interpreted library for the Yorick language
yorick-dev_2.2.04+dfsg1-10_amd64.deb development files for the Yorick interpreted language
yorick-doc_2.2.04+dfsg1-10_all.deb documentation for the Yorick interpreted language
yorick-full_2.2.04+dfsg1+full_amd64.deb full installation of the Yorick interpreter and add-ons
yorick-gl_1.1+cvs20070922+dfsg-6.1_amd64.deb OpenGL 3D graphics support for the Yorick language
yorick-gy_0.0.5-1_amd64.deb GObject introspection and Gtk bindings for Yorick
Advertisement
Advertisement